Templates Plugins Courses

Editable Data Table like Excel - Doesnt work


#1

Hello,

I am getting the following error:
The plugin Editable Data Table like Excel / element Grid threw the following error: ReferenceError: $jscomp is not defined
at eval (PLUGIN_Editable-Data-Table-like-Excel-update–Grid-.js:3:55)
at https://dhtiece9044ep.cloudfront.net/package/run_debug_js/014f66a58bccfffafad19c87eba080c27d7022d68bb1928617e3650ea69602eb/xfalse/x5:18:460773 (please report this to the plugin author)

Any idea what is the problem and how to fix?

Thanks

Yarob


#2

Hello @yaron.regev,

Please check if the plugin is updated to the latest version. Also, please check if you have followed all the instructions on how to set up the plugin.
Here are the instructions on how to make the plugin work:

  • Go to your app settings http://prntscr.com/inntef .
  • Go to API tab and enable option “This app exposes a Data API” http://prntscr.com/inntz1 .
  • Choose a data table which you’ll use in Editable Grid.
  • Go to Data > Privacy and choose fields which will be displayed in your grid http://prntscr.com/innwlr .
  • Go to Editable Grid settings and set your Data Type, columns and fields Unique ID which you want to display in Grid ( NOTICE! Columns name should be same as they’re in Database, upper and lower case should be respected ) http://prntscr.com/ino4y9

Please let me know if the above instructions will help in solving the issue. In case the error will persist we will provide alternative solutions.

Best Regards,
Alex


#3

Hello Alex,

Thanks for the reply.
I have checked again the settings as per your email above and its all according to your direction however, still facing the same problem

Thanks

Yaron


#4

Hello @yaron.regev,

Then could you please add [email protected] as collaborators to your app and specify the page where you are using the plugin? We will check what is the cause of the problem and will provide the solution.

Best Regards,
Alex


#5

Hi,

This can not be done with my plan.
Any ideas on how to resolve based on the error code ? js line ?

Yaron


#6

Hello @yaron.regev,

Please disregard the notification about the limitation of your plan. We are an agency and can be added as collaborators to the apps of the users on any plan.

Best Regards,
Alex


#7

Thanks.
Added.

Page is ‘mapstets’


#8

@yaron.regev

Thank you very much for providing access to your app. Our team will check the issue and will provide a solution ASAP. I will keep you posted in this regard.

Best Regards,
Alex


#9

Hi There, I have this same issue. Can you help?


#10

Hello @lola,

We are working now on developing the solution. Once it will be ready I will notify you as well.

Best Regards,
Alex


#11

Hello @yaron.regev,

Could you please check and let us know which Bubble’ version is used in your application. Our team is investigating now what may be the cause of the error and one of our versions is that the error is caused by the Bubble’ version. Unfortunately, the version can be checked only by the Admin that’s why I am asking you to do that. In order to find the version please open the Tab Settings > Version.

Best Regards,
Alex


#12

version 5 (Null parameters not dropped by default in search/filter.)


#13

@yaron.regev, thanks for checking and providing the version.

@lola @yaron.regev
The updated version with bug fixes is published. Please update the plugin to the latest version to have the plugin working properly.

Best Regards,
Alex


#14

Thanks.
It does work.

Thanks !


#15

Apologize.
It does work now.,

Thanks


#16

yes, Finally. I can confirm that it does work.

Thank you


#17

Hi,

I noticed that it doesnt update records, neither does the add functionality work

Please check


#18

Hi, sorry. It does work. Still trying to get a good hang of it


#19

Hello @lola,

Could you please check if you have set up everything as in the description of the plugin? Also, please let us know if you have any errors in the Bubble console or browser’ console when using the plugin.

Best Regards,
Alex